Subject: bug#60056: [PATCH RFC 1/6] build: Add gnu-build-system v2.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 15 Dec 2022 16:09:13 +0100

Hi!

Maxim Cournoyer <[email-masked]> skribis:

> * guix/build/gnu-build-system2.scm: New file.
> * Makefile.am (MODULES): Register it.
> * guix/build-system/gnu2.scm: Use it.

I won’t be able to review it in the coming days; a quick note:

  • Changes to ‘gnu-build-system’ need thorough review, so don’t
    hesitate to ping me and others in the “core” team if nothing comes
    up, but don’t interpret silence as consent.

  • I’m reluctant to duplicating ‘gnu-build-system’, even if it’s
    temporary.  I think now’s the right time for changes in
    ‘core-updates’ so we could make those changes there instead.

Thanks,
Ludo’.